package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Userauthinfo;
import com.muchinfo.mtp3pojos.entity.Userloginflow;
import com.muchinfo.mtp3pojos.vo.investor.InvestorLoginQueryParam;
import com.muchinfo.mtp3pojos.vo.investor.InvestorLoginQueryResult;

import javax.servlet.http.HttpServletRequest;

public interface IDealLoginService {

    PageResult<InvestorLoginQueryResult> queryInvestor(InvestorLoginQueryParam param, HttpServletRequest request);

    PageResult<Userloginflow> queryLoginLog(Long loginid, Integer pageNo, Integer pageSize, HttpServletRequest request);

    AjaxResult resetPwd(Long loginid, HttpServletRequest request);

    AjaxResult lockAccount(Long loginid, Integer status, HttpServletRequest request);

    AjaxResult deleteAccount(Long loginid, HttpServletRequest request);

    AjaxResult restoreAccount(Long loginid, HttpServletRequest request);

    AjaxResult<Userauthinfo> queryUserAuthInfo(Long loginid, HttpServletRequest request);
}
